Bug 7323 - Javascript error when editing list
Summary: Javascript error when editing list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL: /cgi-bin/koha/virtualshelves/shelves....
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-06 16:42 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (2.01 KB, patch)
2011-12-06 16:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7323 - Javascript error when editing list (2.03 KB, patch)
2011-12-12 09:03 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-12-06 16:42:48 UTC
Firebug reports an error when editing a list in the staff client:

f.addshelf is undefined
Line 186
Comment 1 Owen Leonard 2011-12-06 16:45:55 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-12-12 09:03:46 UTC
Created attachment 6718 [details] [review]
Bug 7323 - Javascript error when editing list

Correcting check for empty shelf name to prevent
javascript error.

Also correcting unescaped ampersand.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Paul Poulain 2011-12-15 15:58:51 UTC
QA comment : tiny patch, fixes the problem

passed QA

patch pushed, please test
Comment 4 Jared Camins-Esakov 2012-05-23 12:51:54 UTC
This fix was included in the 3.6.x branch prior to 3.6.4.